Cyberduck Mountain Duck CLI

#3119 closed defect (fixed)

Sort comparator is null

Reported by: Andi Hawes <info@…> Owned by: dkocher
Priority: high Milestone: 3.2
Component: core Version: 3.1.2
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

simple as that really. open Cyberduck and then try to open one of my ftp accounts and it connects but doesnt list the dirs...?

21/04/2009 22:07:02 Cyberduck[316] java/lang/ClassCastException:
ch.cyberduck.core.ftp.FTPPath
Stack Trace:
java.lang.ClassCastException: ch.cyberduck.core.ftp.FTPPath
 at java.util.Arrays.mergeSort(Arrays.java:1156)
 at java.util.Arrays.mergeSort(Arrays.java:1167)
 at java.util.Arrays.mergeSort(Arrays.java:1167)
 at java.util.Arrays.mergeSort(Arrays.java:1167)
 at java.util.Arrays.mergeSort(Arrays.java:1167)
 at java.util.Arrays.sort(Arrays.java:1221)
 at java.util.Collections.sort(Collections.java:159)
 at ch.cyberduck.core.Cache.get(Cache.java:105)
 at
ch.cyberduck.ui.cocoa.CDBrowserTableDataSource.childs(CDBrowserTableDataSource.java:82)
 at
ch.cyberduck.ui.cocoa.CDBrowserListViewModel.numberOfRowsInTableView(CDBrowserListViewModel.java:43)
 at com.apple.cocoa.application.NSTableView.reloadData(Native Method)
 at
ch.cyberduck.ui.cocoa.CDBrowserController.reloadData(CDBrowserController.java:709)
 at
ch.cyberduck.ui.cocoa.CDBrowserController.reloadData(CDBrowserController.java:671)
 at
ch.cyberduck.ui.cocoa.CDBrowserController.setPathFilter(CDBrowserController.java:620)
 at
ch.cyberduck.ui.cocoa.CDBrowserController$31.cleanup(CDBrowserController.java:3523)
 at
ch.cyberduck.ui.cocoa.CDWindowController$1$1.run(CDWindowController.java:86)
 at
ch.cyberduck.ui.cocoa.CDMainApplication.sendEvent(CDMainApplication.java:48)

Change History (14)

comment:1 Changed on Apr 21, 2009 at 8:13:46 AM by dkocher

Please post the transcript from View → Log Drawer.

comment:2 Changed on Apr 21, 2009 at 11:12:00 AM by info@…

seems to be connecting... am i just not selecting how to list the DIR? if not how do i do that?

220-FileZilla Server version 0.9.29 beta 220-written by Tim Kosse (Tim.Kosse@…) 220 Please visit http://sourceforge.net/projects/filezilla/ USER domain.net 331 Password required for domain.net PASS blanked out 230 Logged on NOOP 200 OK SYST 215 UNIX emulated by FileZilla CWD /mailoutassets 250 CWD successful. "/mailoutassets" is current directory. FEAT 211-Features:

MDTM REST STREAM SIZE MLST type*;size*;modify*; MLSD UTF8 CLNT MFMT

211 End PASV 227 Entering Passive Mode (86,17,7,35,5,236) LIST 150 Connection accepted drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2004_10_02 -rw-r--r-- 1 ftp ftp 398740 Aug 31 2004 2004_10_02 business_card_back.gif -rw-r--r-- 1 ftp ftp 316226 Aug 31 2004 2004_10_02 business_card_front.gif drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2005_02_05 -rw-r--r-- 1 ftp ftp 4739 Apr 20 2005 2005_04_20_mailtemplate.html drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2005_10_29 -rw-r--r-- 1 ftp ftp 31440 Sep 19 2005 2005_10_29_Front.jpg drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2006_02_04 drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2006_04_01 drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2006_06_03 drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2006_12_02 drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 2007_06_22 drwxr-xr-x 1 ftp ftp 0 Oct 27 2007 2007_11_30 drwxr-xr-x 1 ftp ftp 0 Mar 27 2008 2008_03_28 -rw-r--r-- 1 ftp ftp 1872171 Aug 15 2006 Ben_Chris_PR drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 CF drwxr-xr-x 1 ftp ftp 0 Jan 24 2009 CSS -rw-r--r-- 1 ftp ftp 574771 Apr 21 2005 DSCF0976.JPG -rw-r--r-- 1 ftp ftp 21589 Apr 21 2005 DSCF0976s.JPG -rw-r--r-- 1 ftp ftp 594120 Apr 21 2005 DSCF1027.JPG -rw-r--r-- 1 ftp ftp 24018 Apr 21 2005 DSCF1027s.JPG -rw-r--r-- 1 ftp ftp 606857 Apr 21 2005 DSCF1135.JPG -rw-r--r-- 1 ftp ftp 30990 Apr 21 2005 DSCF1135s.JPG drwxr-xr-x 1 ftp ftp 0 Jan 20 2009 eventassets drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 fluxrecordings -rw-r--r-- 1 ftp ftp 1006193 Sep 09 2004 Flyer_Back.gif -rw-r--r-- 1 ftp ftp 1006193 Sep 09 2004 Flyer_Back.jpg -rw-r--r-- 1 ftp ftp 578020 Sep 09 2004 Flyer_Front.gif -rw-r--r-- 1 ftp ftp 578020 Sep 09 2004 Flyer_Front.jpg drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 Label -rw-r--r-- 1 ftp ftp 37807 Sep 09 2004 LOGO SPLIT Word Bigger.gif -rw-r--r-- 1 ftp ftp 2677 Sep 09 2004 LOGO Ticketweb.gif -rw-r--r-- 1 ftp ftp 9560 Sep 09 2004 LOGO-Dynamix-Berlin.gif -rw-r--r-- 1 ftp ftp 37799 Oct 28 2007 LOGOSPLITWordBiggerInvert.gif -rw-r--r-- 1 ftp ftp 5144 Apr 20 2005 LOGOSPLITWordSmallerT.gif -rw-r--r-- 1 ftp ftp 66282 Sep 21 2005 LOGO_SPLIT_Vectored.jpg -rw-r--r-- 1 ftp ftp 116826 Sep 10 2004 octback2a.jpg -rw-r--r-- 1 ftp ftp 100847 Sep 10 2004 octfront2.jpg drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 photosforeditor -rw-r--r-- 1 ftp ftp 19147 May 20 2007 PHOTO_AlexDowney.jpg drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 radioshowassets drwxr-xr-x 1 ftp ftp 0 Jul 17 2007 retrovert drwxr-xr-x 1 ftp ftp 0 Nov 14 2007 RSS -rw-r--r-- 1 ftp ftp 1872171 Sep 26 2006 send 4_fab.jpg -rw-r--r-- 1 ftp ftp 89357 Sep 26 2006 send-4_fab_lo.jpg -rw-r--r-- 1 ftp ftp 69954 May 10 2006 SPLIT 2006_06_03 Poster v1.1 Final Lo Res.jpg -rw-r--r-- 1 ftp ftp 675979 Aug 31 2004 SPLIT Presents DYNAMIX BERLIN Showcase 2004_10_02 Business Card_Back.jpg -rw-r--r-- 1 ftp ftp 457028 Aug 31 2004 SPLIT Presents DYNAMIX BERLIN Showcase 2004_10_02 Business Card_Front.jpg -rw-r--r-- 1 ftp ftp 701 Apr 20 2005 split.css -rw-r--r-- 1 ftp ftp 641574 Sep 06 2004 SPLIT_Flyer_Background 2004_10_02.jpg -rw-r--r-- 1 ftp ftp 398740 Aug 31 2004 test_back.gif -rw-r--r-- 1 ftp ftp 316226 Aug 31 2004 test_front.gif -rw-r--r-- 1 ftp ftp 14692 Apr 19 2005 Text_SplitNewsletter.jpg -rw-r--r-- 1 ftp ftp 8776 Apr 19 2005 Text_SplitRadio.jpg -rw-r--r-- 1 ftp ftp 14077 Apr 19 2005 Text_theSplitRadioShow.jpg -rw-r--r-- 1 ftp ftp 36942 May 20 2007 Urb Shoot-Chicago1.jpg 226 Transfer OK

comment:3 Changed on Apr 21, 2009 at 11:20:32 AM by info@…

sorry i dont know how to enter text to it is all on different lines?

comment:4 Changed on Apr 21, 2009 at 11:21:44 AM by dkocher

  • Component changed from core to ftp
  • Description modified (diff)

comment:5 Changed on Apr 21, 2009 at 12:08:01 PM by info@…

sorry dont understand..? what do i need to do?

comment:6 follow-up: Changed on Apr 21, 2009 at 1:02:26 PM by dkocher

Can you find any related output in the console.log (/Applications/Utilities/Console.app)? As a workaround you can try the latest nightly build from http://update.cyberduck.ch/nightly/

comment:7 in reply to: ↑ 6 Changed on Apr 21, 2009 at 1:37:21 PM by info@…

sounding very think here but assume the nightly build is a nightly unreleased update that i can use as on ongoing possible fix?

comment:8 Changed on Apr 21, 2009 at 3:25:52 PM by dkocher

Testcase added in r4628. Cannot replicate the issue. Please look for output in the system log.

comment:9 Changed on Apr 21, 2009 at 5:36:14 PM by info@…

domnt know much about this. do i download the .gz or .gz.md5?

comment:10 Changed on Apr 21, 2009 at 9:00:38 PM by info@…

downloaded the.md5, unzipped and opened and used... but same problem... any work around at all? desperate...

how do i use the terminal.app with this to search the problem?

comment:11 Changed on Apr 21, 2009 at 9:09:54 PM by info@…

ok.. getting there..slowly... its console.app not terminal.app.. what am i looking for? i see:

21/04/2009 22:07:02 Cyberduck[316] java/lang/ClassCastException: ch.cyberduck.core.ftp.FTPPath Stack Trace: java.lang.ClassCastException: ch.cyberduck.core.ftp.FTPPath

at java.util.Arrays.mergeSort(Arrays.java:1156) at java.util.Arrays.mergeSort(Arrays.java:1167) at java.util.Arrays.mergeSort(Arrays.java:1167) at java.util.Arrays.mergeSort(Arrays.java:1167) at java.util.Arrays.mergeSort(Arrays.java:1167) at java.util.Arrays.sort(Arrays.java:1221) at java.util.Collections.sort(Collections.java:159) at ch.cyberduck.core.Cache.get(Cache.java:105) at ch.cyberduck.ui.cocoa.CDBrowserTableDataSource.childs(CDBrowserTableDataSource.java:82) at ch.cyberduck.ui.cocoa.CDBrowserListViewModel.numberOfRowsInTableView(CDBrowserListViewModel.java:43) at com.apple.cocoa.application.NSTableView.reloadData(Native Method) at ch.cyberduck.ui.cocoa.CDBrowserController.reloadData(CDBrowserController.java:709) at ch.cyberduck.ui.cocoa.CDBrowserController.reloadData(CDBrowserController.java:671) at ch.cyberduck.ui.cocoa.CDBrowserController.setPathFilter(CDBrowserController.java:620) at ch.cyberduck.ui.cocoa.CDBrowserController$31.cleanup(CDBrowserController.java:3523) at ch.cyberduck.ui.cocoa.CDWindowController$1$1.run(CDWindowController.java:86) at ch.cyberduck.ui.cocoa.CDMainApplication.sendEvent(CDMainApplication.java:48)

comment:12 Changed on Apr 22, 2009 at 7:23:23 AM by dkocher

  • Component changed from ftp to core
  • Description modified (diff)
  • Priority changed from normal to high
  • Severity changed from normal to blocker
  • Summary changed from DIRs wont list to Sort comparator is null

comment:13 Changed on Apr 22, 2009 at 7:30:57 AM by dkocher

  • Milestone set to 3.2
  • Status changed from new to assigned

As a workaround until this issue is resolved enter a Terminal.app window and paste

defaults delete ch.sudo.cyberduck browser.sort.column

comment:14 Changed on Apr 22, 2009 at 7:32:17 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r4632.

Note: See TracTickets for help on using tickets.
swiss made software